Public Class NotifyEventArgs(Of T) : Inherits EventArgs
   Public ReadOnly Value As T
   Public Sub New(Value As T)
      MyBase.New()
      Me.Value = Value
   End Sub
End Class 'NotifyEventArgs(Of T)

''' <summary>
''' Eventhandler, der den Sender ordentlich typisiert bermittelt
''' </summary>
Public Delegate Sub EventHandlerEx(Of T0)(Sender As T0)

Public Module modHelpers

   Public Sub DisposeAll(ParamArray Disposables As IDisposable())
      For Each D As IDisposable In Disposables
         If D IsNot Nothing Then D.Dispose()
      Next
   End Sub

End Module
